// UDebugMessage.cpp
// Utility class for sending debug messages to MessageBoy and
// other applications
// Casey Fleser
// December 4, 1996

#include <UDebugMessage.h>

void mprintf (
	const char	*inSig,
	const char	*fmt, ...)
{
	BMessenger	theMessenger(inSig, -1, NULL);
	char			buff[512];
	va_list		args;
	
	va_start(args, fmt);
	vsprintf(buff, fmt, args);
	if (theMessenger.IsValid()) {
		BMessage		theMessage(kGLWMessage);
		
		theMessage.AddString(kMessageBoyStr, buff);	
		theMessenger.SendMessage(&theMessage);
	}
	va_end(args);
}

void mbprintf (
	const char *fmt, ...)
{
	BMessenger	theMessenger(kMBAppSig, -1, NULL);
	char			buff[512];
	va_list		args;
	
	va_start(args, fmt);
	vsprintf(buff, fmt, args);
	if (theMessenger.IsValid()) {
		BMessage		theMessage(kGLWMessage);
		
		theMessage.AddInt64(kMessageBoyTime, real_time_clock_usecs());
		theMessage.AddString(kMessageBoyStr, buff);	
		theMessenger.SendMessage(&theMessage);
	}
	va_end(args);
}
